
package Juego;

import static Juego.Entorno.*;


/* @author pedro*/
public class Personaje {
    int vidas = 3;
    int puntos = 0;
    int playerX;
    int playerY;
    
   
    
    public Personaje(int playerX, int playerY){
        
        this.playerX=playerX;
        this.playerY=playerY;
    }
     
    
    public void ObtenerPosicion( int playerX, int playerY){
        
        this.playerX = playerX;
        this.playerY = playerY;  
    }
    
    public int DevuelvePosicionX (){
        
        
        return playerX;
    }
    
    public int DevuelvePosicionY (){
        
        
        return playerY;
    }
    
    public void MoverPersonaje (java.awt.event.KeyEvent movimientos){
        
        
        
        if(movimientos.getKeyChar()== 'a'&& playerX>-3){
            
            playerX-= 3;
        }
        if(movimientos.getKeyChar()== 'd'&& playerX<1089){
           
            playerX+= 3;
        }
        
        
        
        
    }
      public void ChoqueBueno(){
        Bueno1 brocoli = new Bueno1 (0,0);
        
        
          //Choque de objetos 
           System.out.println("---"+bueno1.getWidth() );
              System.out.println("---"+bueno1.getX());
              //se verifica el ejex del jugador con el del objeto menos espacios  FALTA TERMINAR
              if ( (bueno1.getX()+144 >= playerX && playerX<=bueno1.getX()+144)&&(bueno1.getY()+158  >= playerY && playerY<= bueno1.getY()+158 )    ) {
             
              System.out.println("entra");
          }
              else {
                  System.out.println("vacio");
                  
              }
          
      }
    
            
}
